查询会员折扣or价格折扣详情+listing+订单(批量)
POST
/promotionApi/open/promotion/primeDiscountAllDetailBatch接口信息
| API Path | 请求协议 | 请求方式 | [令牌桶容量]() |
|---|---|---|---|
/promotionApi/open/promotion/primeDiscountAllDetailBatch | HTTPS | POST | 1 |
请求参数
itemListarray<object>必填隐藏子属性
promotionIdstring必填storeIdstring必填orderPageNumnumber必填orderPageSizenumber必填listingPageNumnumber必填listingPageSizenumber必填请求示例
{
"itemList": [
{
"promotionId": "jgzk-123456",
"storeId": "32",
"orderPageNum": 1,
"orderPageSize": 20,
"listingPageNum": 1,
"listingPageSize": 20
}
]
}
返回结果
Json Object
codenumber必填messagestring必填error_detailsarray<any>request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
promotionIdstring必填storeIdstring必填customerTargetstring必填primeDiscountobject必填隐藏子属性
storeIdstring必填storeNamestring必填regionNamestring必填currencyIconstring必填promotionIdstring必填namestring必填statusnumber必填statusTextstring必填originStatusstring必填customerTargetstring必填errorCountstring必填promotionStartTimestring必填promotionEndTimestring必填lastSyncTimestring必填pullDetailStatusstring必填listingPageobject必填隐藏子属性
totalnumber必填sizenumber必填pageCountnumber必填currentnumber必填currentSizenumber必填recordsarray<object>必填隐藏子属性
storeIdstring必填storeNamestring必填regionNamestring必填currencyIconstring必填sellerSkustring必填asinstring必填asinUrlstring必填smallImageUrlstring必填itemNamestring必填primeDiscountobject必填隐藏子属性
salesPricenumber必填discountTypestring必填discountValuenumber必填discountValueStrstring必填discountPricenumber必填salesAmountnumber必填salesVolumeinteger必填pageViewinteger必填exchangeRatenumber必填hasNextPageboolean必填hasPreviousPageboolean必填orderPageobject必填隐藏子属性
totalnumber必填sizenumber必填pageCountnumber必填currentnumber必填currentSizenumber必填recordsarray<object>必填隐藏子属性
amazonOrderIdstring必填storeIdstring必填storeNamestring必填regionNamestring必填currencyIconstring必填orderItemsarray<object>必填隐藏子属性
sellerSkustring必填asinstring必填asinUrlstring必填smallImageUrlstring必填itemNamestring必填localNamestring必填localSkustring必填promotionIdstring必填purchaseDatestring必填orderTotalAmountnumber必填orderStatusstring必填hasNextPageboolean必填hasPreviousPageboolean必填返回成功示例
{
"code": 1,
"message": "操作成功",
"error_details": [],
"request_id": "",
"response_time": "",
"total": 0,
"data": [{
"promotionId": "2577860007635320832",
"storeId": "AJGRSY3EK14NJ",
"customerTarget": null,
"primeDiscount": {
"storeId": "AJGRSY3EK14NJ",
"storeName": "非凡-US",
"regionName": "美国",
"currencyIcon": "$",
"promotionId": "2577860007635320832",
"name": "11_14_17_13",
"status": 2,
"statusText": "已过期",
"originStatus": "ENDED",
"customerTarget": null,
"errorCount": "0",
"promotionStartTime": "2022-11-15 00:00:00",
"promotionEndTime": "2022-11-16 23:59:00",
"lastSyncTime": null,
"pullDetailStatus": null
},
"listingPage": {
"total": 2,
"size": 1,
"pageCount": 2,
"current": 2,
"currentSize": 1,
"records": [{
"storeId": "31",
"storeName": "非凡-JP",
"regionName": "日本",
"currencyIcon": "JP¥",
"sellerSku": "31-250J-NKH6",
"asin": "B09SB1R9NB",
"asinUrl": "https://www.amazon.co.jp/dp/B09SB1R9NB",
"smallImageUrl": "https://m.media-amazon.com/images/I/71SLxt+OS8L._SL75_.jpg",
"itemName": "モース暗号ブレスレット",
"primeDiscount": {
"salesPrice": 0,
"discountType": "",
"discountValue": 0,
"discountValueStr": "",
"discountPrice": 0,
"salesAmount": 0,
"salesVolume": 0,
"pageView": 0,
"exchangeRate": 0
}
}],
"hasNextPage": false,
"hasPreviousPage": true
},
"orderPage": {
"total": 1,
"size": 20,
"pageCount": 1,
"current": 1,
"currentSize": 1,
"records": [{
"amazonOrderId": "fasdfasdga13241-R",
"storeId": "31",
"storeName": "非凡-JP",
"regionName": "日本",
"currencyIcon": "JP¥",
"orderItems": [{
"sellerSku": "09-CJWX-DFQH",
"asin": "B09SBF3H99",
"asinUrl": "https://www.amazon.co.jp/dp/B09SBF3H99",
"smallImageUrl": "https://m.media-amazon.com/images/I/51f8M9Z0O5L._SL75_.jpg",
"itemName": "シンプルなハート型ワックス編みカップルブレスレット (Red)",
"localName": "KT7XL",
"localSku": "SKUKT7XL",
"promotionId": "Percentage Off 2025/07/21 2-4-51-873"
}],
"purchaseDate": "2022-05-07 00:00:00",
"orderTotalAmount": 0,
"orderStatus": "CANCELLED"
}],
"hasNextPage": false,
"hasPreviousPage": false
}
}]
}